Page MenuHomePhabricator

Create Wiktionary Zazaki
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wiktionary Zazaki.

  • Shard: s5
  • Local file uploads: disabled
  • Additional namespaces: Gramer, Gramer_vaten (English aliases: Grammar, Grammar talk); Vatış, Vatış_vaten (English aliases: Phrase, Phrase talk)

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=mhwiktionary diq wiktionary diqwiktionary diq.wiktionary.org
mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=diqwiktionary --cluster=all
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating diqwiktionary (T270275)"
scap sync-file wmf-config/db-codfw.php "Creating diqwiktionary (T270275)"
scap sync-file dblists "Creating diqwiktionary (T270275)"
scap sync-wikiversions "Creating diqwiktionary (T270275)"
scap sync-file static/images/project-logos/ "Creating diqwiktionary (T270275)"
scap sync-file wmf-config/InitialiseSettings.php "Creating diqwiktionary (T270275)"
scap sync-file langlist "Creating diqwiktionary (T270275)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 16 2020, 12:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 649868 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/extensions/WikimediaMessages@master] Add messages for Zazaki Wiktionary (diqwiktionary)

https://gerrit.wikimedia.org/r/649868

Change 649869 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[analytics/refinery@master] Add diq.wiktionary to pageview whitelist

https://gerrit.wikimedia.org/r/649869

Change 649868 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Zazaki Wiktionary (diqwiktionary)

https://gerrit.wikimedia.org/r/649868

Change 649869 merged by Joal:
[analytics/refinery@master] Add diq.wiktionary to pageview whitelist

https://gerrit.wikimedia.org/r/649869

Urbanecm triaged this task as Low priority.Dec 18 2020, 5:46 PM
Urbanecm added a subscriber: Urbanecm.

Hello everyone, since we entered the annual "no deploy" period, this wiki will be probably created in January 2021. Happy holidays everyone!

Urbanecm moved this task from Backlog to Wikis to do on the User-Urbanecm board.Dec 18 2020, 11:34 PM

Skipping logo due to insufficient quality. Will post a follow-up comment once the wiki is created on how to fix it.

Change 655439 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for diqwiktionary

https://gerrit.wikimedia.org/r/655439

Change 655439 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for diqwiktionary

https://gerrit.wikimedia.org/r/655439

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:12:02Z] <urbanecm@deploy1001> Synchronized wmf-config/db-eqiad.php: Creating diqwiktionary (T270275) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:13:13Z] <urbanecm@deploy1001> Synchronized wmf-config/db-codfw.php: Creating diqwiktionary (T270275) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:14:12Z] <urbanecm@deploy1001> Synchronized dblists: Creating diqwiktionary (T270275) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:15:45Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating diqwiktionary (T270275)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:17:22Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating diqwiktionary (T270275) (duration: 01m 34s)

Urbanecm closed this task as Resolved.Mon, Jan 11, 4:20 PM
Urbanecm claimed this task.

Wiki is live. For the logo, we need a transparent SVG with no background, similar to https://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-en.svg, for instance. The logo also needs to be actually vectorized, this looks like a mix of raster images in a SVG, which is not really a vector image. The advantage of vector images is that we can easily generate logos of literally any size. The wiki was created with the standard logo for now. As soon as you have a fully vectorized logo, please create a new task and ask for it to be changed. Thanks!

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:22:53Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating diqwiktionary (T270275) (duration: 00m 56s)